//go:build example
// +build example

package main

import (
	"log"

	"code.rocketnine.space/tslocum/messeji/examples/messeji/game"
	"github.com/hajimehoshi/ebiten/v2"
)

func main() {
	ebiten.SetWindowTitle("メッセージ")
	ebiten.SetWindowResizable(true)
	ebiten.SetWindowSize(640, 480)
	ebiten.SetMaxTPS(144)
	ebiten.SetFPSMode(ebiten.FPSModeVsyncOffMinimum)

	g := game.NewDemoGame()
	if err := ebiten.RunGame(g); err != nil {
		log.Fatal(err)
	}
}
